using System;
using System.IO.IsolatedStorage;
using System.IO;

class IsolatedStorageExample
{
  public static void Main()
  {
    IsolatedStorageFile isf = IsolatedStorageFile.GetStore(IsolatedStorageScope.Assembly | IsolatedStorageScope.User, null, null);
    IsolatedStorageFileStream isfs = new IsolatedStorageFileStream("file1", FileMode.OpenOrCreate, isf);
    StreamWriter sw = new StreamWriter(isfs);
    sw.WriteLine("This data is contained in isolated storage.");
    sw.Close();

    isfs = new IsolatedStorageFileStream("file1", FileMode.Open, isf);
    StreamReader sr = new StreamReader(isfs);
    Console.WriteLine(sr.ReadToEnd());
    sr.Close();
  }
}


